Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.conversation.base
Class BasicMessageHandle

    java.lang.Object
      com.ibm.conversation.base.BasicMessageHandle

All Implemented Interfaces:
  MessageHandle

public class BasicMessageHandle
extends java.lang.Object
implements MessageHandle

Class BasicMessageHandle is a straightforward, vanilla-Java implementation of the MessageHandle interface

Constructor Summary
`BasicMessageHandle()` Constructs a BasicMessageHandle object with `null` message object.
`BasicMessageHandle(java.lang.Object newMessage)` Constructs a BasicMessageHandle object with the given message object.

Method Summary
`java.lang.Object` | `getMessage()` Returns the message object.
`void` | `setMessage(java.lang.Object newMessage)` Sets the message object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicMessageHandle

    public BasicMessageHandle()

  Constructs a BasicMessageHandle object with `null` message object.

### BasicMessageHandle

    public BasicMessageHandle(java.lang.Object newMessage)

  Constructs a BasicMessageHandle object with the given message object.

Parameters:
  `newMessage` - The message object.

Method Detail

### getMessage

    public java.lang.Object getMessage()

  Description copied from interface: `MessageHandle`
  Returns the message object.

  Specified by:
    `getMessage` in interface `MessageHandle`
  Returns:
    The message object.

### setMessage

    public void setMessage(java.lang.Object newMessage)

  Description copied from interface: `MessageHandle`
  Sets the message object.

  Specified by:
    `setMessage` in interface `MessageHandle`
  Parameters:
    `newMessage` - The message object.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005